The company's reviewed sync plan for one CRM
GET
/v1/workspace/integrations/crm/{provider}/plan
const url = 'https://api.vocapable.com/v1/workspace/integrations/crm/example/plan';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/integrations/crm/example/plan \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”provider
required
Provider
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCrmSyncPlan
The company’s reviewed plan for one CRM (a draft until authorized and activated).
object
provider
required
Provider
string
provider_name
required
Provider Name
string
direction
required
Direction
string
conflict_owner
required
Conflict Owner
string
field_groups
required
Field Groups
Array<string>
groups
required
Groups
Array<object>
WorkspaceCrmFieldGroupInfoobject
id
required
Id
string
label
required
Label
string
target
required
Target
string
locked
required
Locked
boolean
stages
required
Stages
object
key
additional properties
string
reviewed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
rules
required
Rules
Array<string>
Example
{ "provider": "hubspot", "direction": "two_way", "conflict_owner": "vocapable", "field_groups": [ "name" ], "groups": [ { "id": "name" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}